Package org.apache.storm.hdfs.common

## Class AvroGenericRecordHDFSWriter

- java.lang.Object
- - org.apache.storm.hdfs.common.AbstractHDFSWriter
  - - org.apache.storm.hdfs.common.AvroGenericRecordHDFSWriter

- All Implemented Interfaces:
    `Writer`

      public class AvroGenericRecordHDFSWriter
      extends AbstractHDFSWriter

- - ### Field Summary

    - ### Fields inherited from class org.apache.storm.hdfs.common.AbstractHDFSWriter

      `filePath, lastUsedTime, needsRotation, offset, rotationPolicy`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `AvroGenericRecordHDFSWriter​(FileRotationPolicy policy, org.apache.hadoop.fs.Path path, org.apache.hadoop.fs.FSDataOutputStream stream, org.apache.avro.Schema schema)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected void` | `doClose()` |
    `protected void` | `doSync()` |
    `protected void` | `doWrite​(Tuple tuple)` |

    - ### Methods inherited from class org.apache.storm.hdfs.common.AbstractHDFSWriter

      `close, getFilePath, needsRotation, sync, write`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AvroGenericRecordHDFSWriter

          public AvroGenericRecordHDFSWriter​(FileRotationPolicy policy,
                                             org.apache.hadoop.fs.Path path,
                                             org.apache.hadoop.fs.FSDataOutputStream stream,
                                             org.apache.avro.Schema schema)
                                      throws IOException

      Throws:
        `IOException`

  - ### Method Detail

    - #### doWrite

          protected void doWrite​(Tuple tuple)
                          throws IOException

      Specified by:
        `doWrite` in class `AbstractHDFSWriter`
      Throws:
        `IOException`

    - #### doSync

          protected void doSync()
                         throws IOException

      Specified by:
        `doSync` in class `AbstractHDFSWriter`
      Throws:
        `IOException`

    - #### doClose

          protected void doClose()
                          throws IOException

      Specified by:
        `doClose` in class `AbstractHDFSWriter`
      Throws:
        `IOException`